## Class logic_error

boost::log::logic_error — Base class for logic exceptions from the logging library.

## Synopsis

    // In header: <boost/log/exceptions.hpp>

    class logic_error : public logic_error {
    public:
      // construct/copy/destruct
      explicit logic_error(std::string const &);
      ~logic_error();
    };

## Description

Exceptions derived from this class usually indicate errors on the user's side, such as incorrect library usage.

### `logic_error` public construct/copy/destruct

1.     explicit logic_error(std::string const & descr);

   Initializing constructor. Creates an exception with the specified error message.

2.     ~logic_error();

   Destructor